Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class FullTextSearch

    java.lang.Object
      org.modeshape.graph.query.model.FullTextSearch

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable

Direct Known Subclasses:
  JcrFullTextSearch

    @Immutable
    public class FullTextSearch

extends Object
implements Constraint

A constraint that evaluates to true only when a full-text search applied to the search scope results in positive findings. If a property name is supplied, then the search is limited to the value(s) of the named property on the node(s) in the search scope.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `FullTextSearch.CompoundTerm` A list of `FullTextSearch.Term`s.
`static class` | `FullTextSearch.Conjunction` A set of `FullTextSearch.Term`s that are ANDed together.
`static class` | `FullTextSearch.Disjunction` A set of `FullTextSearch.Term`s that are ORed together.
`static class` | `FullTextSearch.NegationTerm` A `FullTextSearch.Term` that represents a search term that requires another term to not appear.
`static class` | `FullTextSearch.SimpleTerm` A `FullTextSearch.Term` that represents a single search term.
`static interface` | `FullTextSearch.Term` The general notion of a term that makes up a full-text search.

Constructor Summary
`FullTextSearch(SelectorName selectorName, String fullTextSearchExpression)` Create a constraint defining a full-text search against the node within the search scope.
`FullTextSearch(SelectorName selectorName, String propertyName, String fullTextSearchExpression)` Create a constraint defining a full-text search against the property values on node within the search scope.
`FullTextSearch(SelectorName selectorName, String propertyName, String fullTextSearchExpression, FullTextSearch.Term term)` Create a constraint defining a full-text search against the property values on node within the search scope.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`String` | `fullTextSearchExpression()` Get the full-text search expression, as a string.
`FullTextSearch.Term` | `getTerm()` Get the formal `FullTextSearch.Term` representation of the expression.
`int` | `hashCode()`
`String` | `propertyName()` Get the name of the property that is to be searched.
`SelectorName` | `selectorName()` Get the name of the selector that is to be searched
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextSearch

    public FullTextSearch(SelectorName selectorName,
                          String propertyName,
                          String fullTextSearchExpression,
                          FullTextSearch.Term term)

  Create a constraint defining a full-text search against the property values on node within the search scope.

  Parameters:
    `selectorName` - the name of the node selector defining the search scope
    `propertyName` - the name of the property to be searched; may be null if all property values are to be searched
    `fullTextSearchExpression` - the search expression
    `term` - the term representation, if it is known; may be null

### FullTextSearch

    public FullTextSearch(SelectorName selectorName,
                          String propertyName,
                          String fullTextSearchExpression)

  Create a constraint defining a full-text search against the property values on node within the search scope.

  Parameters:
    `selectorName` - the name of the node selector defining the search scope
    `propertyName` - the name of the property to be searched; may be null if all property values are to be searched
    `fullTextSearchExpression` - the search expression

### FullTextSearch

    public FullTextSearch(SelectorName selectorName,
                          String fullTextSearchExpression)

  Create a constraint defining a full-text search against the node within the search scope.

  Parameters:
    `selectorName` - the name of the node selector defining the search scope
    `fullTextSearchExpression` - the search expression

Method Detail

### selectorName

    public final SelectorName selectorName()

  Get the name of the selector that is to be searched

  Returns:
    the selector name; never null

### propertyName

    public final String propertyName()

  Get the name of the property that is to be searched.

  Returns:
    the property name; or null if the full-text search is to be performed across all searchable properties

### fullTextSearchExpression

    public final String fullTextSearchExpression()

  Get the full-text search expression, as a string.

  Returns:
    the search expression; never null

### getTerm

    public FullTextSearch.Term getTerm()

  Get the formal `FullTextSearch.Term` representation of the expression.

  Returns:
    the term representing this search; never null
  Throws:
    `ParsingException` - if there is an error producing the term representation

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.